/*
** Module   : WebScreenDriver.java
** Abstract : web screen drivers contracts.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 MAG 20131218 Created initial version.
*/

package com.goldencode.p2j.ui.client.chui.driver.web;

import com.goldencode.p2j.main.*;

/**
 * Web screen drivers contract. 
 * Should be implemented by drivers having an embedded server. 
 *
 * @author mag
 * 
 */
public interface WebScreenDriver
{
   /**
    * Startup the embedded server using server KeyStore to build 
    * the server SSL context.
    * 
    * @param   keyStore
    *          The exported server KeyStore. 
    */
   public String startupServer(ServerKeyStore keyStore);

   /**
    * Get server URI
    * 
    * @return  A string representing the server URI.
    */
   public String getServerURI();
}
