#!/bin/bash
#
# This script MUST be always executed having root privileges:
#	$ sudo ./postbuild.sh
#
# In order to avoid to provide the root password whenever execute the 
# sudo postbuild.sh command (used to make spawner, see makefile.spawner)
# please do the following:
#
# - create a text file (example sudoers-ext) inside the etc/sudoers.d folder.
#   basically this file extends the /etc/sudoers file which is recommended 
#   to remain unchanged.
# - open to edit this file using visudo and add the following line:
#
# username ALL=(ALL) NOPASSWD: /p2j_path/src/native/postbuild.sh
#
# - replace username with your Linux account name and change the path to
#   the location of your p2j project folder. 
#   Example for user mag:
#
# mag ALL=(ALL) NOPASSWD: /home/mag/p2j/src/native/postbuild.sh
#
# - save your changes.
# - the mode of the file sudoers-ext should be 0440.
# - please check and change if necessary (chmod 0440 sudoers-ext)
#
# - open etc/sudoers file using visudo editor and check if you already 
#   have a directive like:
#	#includedir /etc/sudoers.d
# - if not please add this line at the end of your etc/sudoers file.
#
# - if this does not work on your Linux distribution you may edit
#   directly the /etc/sudoers file. (not recommended if you already 
#   have an /etc/sudores.d folder alternative)
#

cp -f $1 $2 && chown root:root $2 && chmod 4755 $2
